import { Description } from "./Description";
import { Type } from "./type";
import { ListPanelPrimaryKeyValueDescription } from "./ListPanelPrimaryKeyValueDescription";
import { BaseDataSourceDescription } from "./BaseDataSourceDescription";
/**
 * @hidden
 */
export declare class ListPanelDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private bg;
    get selectionMode(): string;
    set selectionMode(a: string);
    private t;
    get isActiveRowStyleEnabled(): boolean;
    set isActiveRowStyleEnabled(a: boolean);
    private bb;
    get selectedBackground(): string;
    set selectedBackground(a: string);
    private a6;
    get normalBackground(): string;
    set normalBackground(a: string);
    private ar;
    get activationBorder(): string;
    set activationBorder(a: string);
    private ag;
    get activationBorderLeftWidth(): number;
    set activationBorderLeftWidth(a: number);
    private ai;
    get activationBorderTopWidth(): number;
    set activationBorderTopWidth(a: number);
    private ah;
    get activationBorderRightWidth(): number;
    set activationBorderRightWidth(a: number);
    private af;
    get activationBorderBottomWidth(): number;
    set activationBorderBottomWidth(a: number);
    private as;
    get activationMode(): string;
    set activationMode(a: string);
    private be;
    get selectionBehavior(): string;
    set selectionBehavior(a: string);
    private i;
    get primaryKey(): string[];
    set primaryKey(a: string[]);
    private h;
    get actualPrimaryKey(): string[];
    set actualPrimaryKey(a: string[]);
    private k;
    get selectedItems(): any[];
    set selectedItems(a: any[]);
    private l;
    get selectedKeys(): ListPanelPrimaryKeyValueDescription[];
    set selectedKeys(a: ListPanelPrimaryKeyValueDescription[]);
    private a0;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private r;
    get dataSource(): BaseDataSourceDescription;
    set dataSource(a: BaseDataSourceDescription);
    private j;
    get schemaIncludedProperties(): string[];
    set schemaIncludedProperties(a: string[]);
    private ab;
    get itemSpacing(): number;
    set itemSpacing(a: number);
    private ak;
    get rowHeight(): number;
    set rowHeight(a: number);
    private z;
    get actualRowHeight(): number;
    set actualRowHeight(a: number);
    private aw;
    get cellFontFamily(): string;
    set cellFontFamily(a: string);
    private aa;
    get cellFontSize(): number;
    set cellFontSize(a: number);
    private ax;
    get cellFontStyle(): string;
    set cellFontStyle(a: string);
    private ay;
    get cellFontWeight(): string;
    set cellFontWeight(a: string);
    private ba;
    get scrollbarStyle(): string;
    set scrollbarStyle(a: string);
    private a9;
    get scrollbarBackground(): string;
    set scrollbarBackground(a: string);
    private av;
    get backgroundColor(): string;
    set backgroundColor(a: string);
    private a7;
    get orientation(): string;
    set orientation(a: string);
    private u;
    get isCustomRowHeightEnabled(): boolean;
    set isCustomRowHeightEnabled(a: boolean);
    private bh;
    get textColor(): string;
    set textColor(a: string);
    private aj;
    get activeRow(): number;
    set activeRow(a: number);
    private v;
    get notifyOnAllSelectionChanges(): boolean;
    set notifyOnAllSelectionChanges(a: boolean);
    private a4;
    get itemRecycledRef(): string;
    set itemRecycledRef(a: string);
    private a3;
    get itemRebindRef(): string;
    set itemRebindRef(a: string);
    private bc;
    get selectedItemsChangedRef(): string;
    set selectedItemsChangedRef(a: string);
    private bd;
    get selectedKeysChangedRef(): string;
    set selectedKeysChangedRef(a: string);
    private bf;
    get selectionChangedRef(): string;
    set selectionChangedRef(a: string);
    private at;
    get activeRowChangedRef(): string;
    set activeRowChangedRef(a: string);
    private az;
    get contentRefreshedRef(): string;
    set contentRefreshedRef(a: string);
    private a8;
    get rowUpdatingRef(): string;
    set rowUpdatingRef(a: string);
    private a5;
    get itemWidthRequestedRef(): string;
    set itemWidthRequestedRef(a: string);
    private a2;
    get itemHeightRequestedRef(): string;
    set itemHeightRequestedRef(a: string);
    private a1;
    get itemClickedRef(): string;
    set itemClickedRef(a: string);
    private au;
    get actualPrimaryKeyChangeRef(): string;
    set actualPrimaryKeyChangeRef(a: string);
}
